Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImR_LocatorC.cpp File Reference

`#include "ImR_LocatorC.h"`
`#include "tao/Exception_Data.h"`
`#include "tao/Invocation_Adapter.h"`
`#include "tao/Object_T.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any_Impl_T.h"`
`#include "tao/Any_Dual_Impl_T.h"`
`#include "tao/Basic_Arguments.h"`
`#include "tao/Object_Argument_T.h"`
`#include "tao/UB_String_Arguments.h"`
`#include "tao/Var_Size_Argument_T.h"`
`#include "ace/OS_NS_string.h"`
`#include "ImR_LocatorC.i"`

Include dependency graph for ImR_LocatorC.cpp:

## Namespaces
namespace | ImplementationRepository
namespace | TAO
## Compounds
class | Arg_Traits< ImplementationRepository::ServerInformation >
class | Arg_Traits< ImplementationRepository::ServerInformationIterator >
class | Arg_Traits< ImplementationRepository::ServerInformationList >
class | Arg_Traits< ImplementationRepository::ServerObject >
class | Arg_Traits< ImplementationRepository::StartupOptions >
## Defines
#define | _IMPLEMENTATIONREPOSITORY_SERVEROBJECT__ARG_TRAITS_CS_
#define | _IMPLEMENTATIONREPOSITORY_STARTUPOPTIONS__ARG_TRAITS_CS_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATION__ARG_TRAITS_CS_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST__ARG_TRAITS_CS_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR__ARG_TRAITS_CS_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION__ARG_TRAITS_CS_
#define | _IMPLEMENTATIONREPOSITORY_LOCATOR_SERVERNAMELIST__ARG_TRAITS_CS_
#define | _IMPLEMENTATIONREPOSITORY_LOCATOR_SERVERNAMELIST_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_Locator_ServerNameList (CORBA::tk_alias, sizeof(_oc_ImplementationRepository_Locator_ServerNameList),(char *)&_oc_ImplementationRepository_Locator_ServerNameList, 0, sizeof(ImplementationRepository::Locator::ServerNameList))
CORBA::TypeCode | _tc_TAO_tc_ImplementationRepository_Locator (CORBA::tk_objref, sizeof(_oc_ImplementationRepository_Locator),(char *)&_oc_ImplementationRepository_Locator, 0, sizeof(ImplementationRepository::Locator))
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::Locator_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::Locator_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::Locator_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const ImplementationRepository::Locator::ServerNameList &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, ImplementationRepository::Locator::ServerNameList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, ImplementationRepository::Locator::ServerNameList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const ImplementationRepository::Locator::ServerNameList *&_tao_elem)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const ImplementationRepository::Locator::ServerNameList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, ImplementationRepository::Locator::ServerNameList &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const ImplementationRepository::Locator_ptr _tao_objref)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, ImplementationRepository::Locator_ptr &_tao_objref)
## Variables
TAO::Collocation_Proxy_Broker *(* | ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_ImplementationRepository_Locator_ServerNameList []
const CORBA::Long | _oc_ImplementationRepository_Locator []

## Define Documentation

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION__ARG_TRAITS_CS_

#define _IMPLEMENTATIONREPOSITORY_LOCATOR_SERVERNAMELIST__ARG_TRAITS_CS_

#define _IMPLEMENTATIONREPOSITORY_LOCATOR_SERVERNAMELIST_CS_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATION__ARG_TRAITS_CS_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR__ARG_TRAITS_CS_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST__ARG_TRAITS_CS_

#define _IMPLEMENTATIONREPOSITORY_SERVEROBJECT__ARG_TRAITS_CS_

#define _IMPLEMENTATIONREPOSITORY_STARTUPOPTIONS__ARG_TRAITS_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_Locator | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_ImplementationRepository_Locator) | ,
|  | (char *)& | _oc_ImplementationRepository_Locator,
|  | 0 | ,
|  | sizeof(ImplementationRepository::Locator) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_ImplementationRepository_Locator_ServerNameList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_ImplementationRepository_Locator_ServerNameList) | ,
|  | (char *)& | _oc_ImplementationRepository_Locator_ServerNameList,
|  | 0 | ,
|  | sizeof(ImplementationRepository::Locator::ServerNameList) |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::Locator_ptr | _tao_objref
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::Locator::ServerNameList & | _tao_sequence
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::Locator::ServerNameList * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const ImplementationRepository::Locator::ServerNameList & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::Locator_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::Locator_ptr | _tao_elem
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::Locator_ptr & | _tao_objref
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::Locator::ServerNameList & | _tao_sequence
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const ImplementationRepository::Locator::ServerNameList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::Locator::ServerNameList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::Locator_ptr & | _tao_elem
| ) |

## Variable Documentation

const CORBA::Long _oc_ImplementationRepository_Locator[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      41,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x496d706c),
      ACE_NTOHL (0x656d656e),
      ACE_NTOHL (0x74617469),
      ACE_NTOHL (0x6f6e5265),
      ACE_NTOHL (0x706f7369),
      ACE_NTOHL (0x746f7279),
      ACE_NTOHL (0x2f4c6f63),
      ACE_NTOHL (0x61746f72),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
        8,
      ACE_NTOHL (0x4c6f6361),
      ACE_NTOHL (0x746f7200),
      }

const CORBA::Long _oc_ImplementationRepository_Locator_ServerNameList[]`[static]`

TAO::Collocation_Proxy_Broker*(* ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0